<?php
//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;


//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'"); 

$target_path = "../videos/";
//تنفيذ الاستعلام
$result=mysqli_query($conn,"select max(`sort`)+1 as `sort_num` from $table");
$fetch =mysqli_fetch_array($result);
$sort_num=1;if(is_numeric($fetch['sort_num'])){$sort_num=$fetch['sort_num'];}
 
 

  		$file_extension =  pathinfo($_FILES['attach']['name'], PATHINFO_EXTENSION);
 		$file_extension = strtolower($file_extension);

 if (($file_extension != "flv") && ($file_extension != "avi")  && ($file_extension != "mp4")) 
 		{
		//print error message
 			echo "<div class='false'> (flv , mp4 , avi) الموقع يسمح بامتدادات الملفات الاتية فقط</div>";
		die();			
 		}

 		
  		$image_extension =  pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);
 		$image_extension = strtolower($image_extension);

 if (($image_extension != "jpg") && ($image_extension != "jpeg") && ($image_extension !=
 "png") && ($image_extension != "gif")) 
 		{
		//print error message
 			echo "<div class='false'> (jpg , gif ,png) الموقع يسمح بامتدادت الصورة الاتية </div>";
		die();			
 		}
		
 
////// upload_image
		
$target_path = $target_path . $sort_num ."." . $image_extension; 
$img_db=$sort_num ."." . $image_extension;
if(move_uploaded_file($_FILES['image']['tmp_name'], $target_path)) {
echo "<div class='true'>تم رفع الصورة</div>";	
} else{
  echo "<div class='true'>لم يتم رفع الصورة </div>";	
}
/		
		
		
 ////////// upload_videos

$target_path = "../videos/";		
$target_path = $target_path . $sort_num ."." . $file_extension;
$file_db=$sort_num ."." . $file_extension; 
if(move_uploaded_file($_FILES['attach']['tmp_name'], $target_path)) {
echo "<div class='true'>تم رفع الملف</div>";	
} else{
  echo "<div class='true'>لم يتم رفع الملف </div>";	
die();
	}
 
 


$comp=$_POST['comp'];
//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$priority=$_POST['priority'];
$date=$_POST['date'];

// القسم
$depart=$_POST['depart'];

//بداية الاستعلام
$query="INSERT INTO videos (`comp`,`title`, `depart`, `priority`, `date`)
 values ($comp,'$title','$depart','$priority','$date')";

if (mysqli_query($conn,$query)){

//بداية الاستعلام
$query="update videos set image='$img_db',videos='$file_db' where id=".$sort_num ;
mysqli_query($conn,$query);


//استدعاء ملف تعديل مقاسات الصور
include('SimpleImage.php');
   $image = new SimpleImage();
   $image->load('../videos/'.$img_db);
   $image->resize(190,170);
   $image->save('../videos/'.$img_db);

   }else{

echo "<div class='false'>لم يتم رفع البيانات</div>";	
}


?>